<template>
  <div id="app">
    <NavBar />
    <!-- 开发阶段暂停使用keepAlive -->
    <!-- <router-view :key="$route.fullPath" v-if="isRouterAlive" /> -->
    <router-view></router-view>
    <!-- <keep-alive>
      <router-view v-if="$route.meta.keepAlive"></router-view>
    </keep-alive>
    <router-view v-if="!$route.meta.keepAlive"></router-view> -->
    <Footer />
  </div>
</template>
<script>
import NavBar from "@/components/NavBar";
import Footer from "@/components/Footer";
export default {
  components: { NavBar, Footer },
  data() {
    return {
      // isRouterAlive: true,
    };
  },
  methods: {
    // reload() {
    //   this.isRouterAlive = false;
    //   this.$nextTick(() => (this.isRouterAlive = true));
    // },
  },
  mounted() {
    this.$nextTick(() => {
      let wow = this.$wow
      wow.init()
    });
  },
};
</script>
<style lang="scss">
</style>
